repo/gentoo:master commit in: media-libs/shaderc/

"Nick Sarnie" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786105474.b924a8a9b84c0975de1c21a0a4a71ad9d36d9550.sarnex@gentoo>
commit:     b924a8a9b84c0975de1c21a0a4a71ad9d36d9550
Author:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 12:16:25 2026 +0000
Commit:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 12:24:34 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b924a8a9

media-libs/shaderc: add 2026.3

Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>

 media-libs/shaderc/Manifest              |  1 +
 media-libs/shaderc/shaderc-2026.3.ebuild | 81 ++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/media-libs/shaderc/Manifest b/media-libs/shaderc/Manifest
index 9286d6673dbc..ab47c7373d1d 100644
--- a/media-libs/shaderc/Manifest
+++ b/media-libs/shaderc/Manifest
@@ -2,3 +2,4 @@ DIST shaderc-2025.4.tar.gz 228962 BLAKE2B eb9fc280e1137198508885114abbeb1e196e0a
 DIST shaderc-2025.5.tar.gz 228956 BLAKE2B 574586e29769b5000f48b9dc8c93b34d59f368b9f2b4e3169bef1e077b018d7a49acfd589d48cc93ad7335dcf72dcb54b1639ddb15feea0ee18ace2388c034dc SHA512 700339a2a79bba3a91d7c07a6dd4d752c8f1228d7a8d8dc4bed2330deaa4899ae05adcaeeb3386307b5252ab45995e1f30535e67b4ead67c2f8ddf86949d621b
 DIST shaderc-2026.1.tar.gz 229148 BLAKE2B 007fc3ae0442ae05a9309cb7cadb5595ad7f31d599c5c30bc574a62d569c895666277c7bab79e048ae4ff354c142b97c264354298fb709e4801b9ab9d0a5f5df SHA512 b8758884d5cd67f5536f30838295e618544df38e3ca3e2b1379757bc57464d333c3263c5fd19e5b4a735284fde7c3d4de9075a414691b2e86ba069bcff2cd616
 DIST shaderc-2026.2.tar.gz 228959 BLAKE2B 7110c9153fd109e4c9e30fb2ae2a34afda7af7e439bf4c209063d59248fce0eb78b2a71d8335e97bbe30365bc199b1bb0d1d24c317fee2e225911cc05b94a3df SHA512 733f85a83db4b71814c7f251c44e6010b485ed03d7e2389db5c14f8426942bebf6c95a35e5eaef80e51c29f8efa28cc0577226344630a427553200c6a87349ec
+DIST shaderc-2026.3.tar.gz 230772 BLAKE2B b78a37d538b1dc6adbd957e378aad4d72b5f461225a63025d8dfa9e21e3fae7c5080639876754f2419627345513e02d9bc62accca5cc1cef7e40bbac836bc7d9 SHA512 795a2c59c31b11c23e7110fd01fc7ee7c07cadae621c9a11c2df56bc85fcb43c25a1c5504fab36e3df21bad1eb1a2af28872ee9bcf745cd2dec815acd189bcfd

diff --git a/media-libs/shaderc/shaderc-2026.3.ebuild b/media-libs/shaderc/shaderc-2026.3.ebuild
new file mode 100644
index 000000000000..a7c690cec770
--- /dev/null
+++ b/media-libs/shaderc/shaderc-2026.3.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..14} )
+inherit cmake-multilib dot-a python-any-r1
+
+DESCRIPTION="Collection of tools, libraries and tests for shader compilation"
+HOMEPAGE="https://github.com/google/shaderc"
+EGIT_COMMIT="${PV}"
+SRC_URI="https://github.com/google/${PN}/archive/v${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${EGIT_COMMIT}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="doc"
+
+RDEPEND="
+	>=dev-util/glslang-1.4.357.0:=[${MULTILIB_USEDEP}]
+	>=dev-util/spirv-tools-1.4.357.0[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	${PYTHON_DEPS}
+	>=dev-util/spirv-headers-1.4.357.0"
+
+BDEPEND="doc? ( dev-ruby/asciidoctor )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2020.4-fix-build.patch
+)
+
+# https://github.com/google/shaderc/issues/470
+RESTRICT=test
+
+src_prepare() {
+	cmake_comment_add_subdirectory examples
+
+	# Unbundle glslang, spirv-headers, spirv-tools
+	cmake_comment_add_subdirectory third_party
+	sed -i \
+		-e "s|\$<TARGET_FILE:spirv-dis>|${EPREFIX}/usr/bin/spirv-dis|" \
+		glslc/test/CMakeLists.txt || die
+
+	# Disable git versioning
+	sed -i -e '/build-version/d' glslc/CMakeLists.txt || die
+
+	# Manually create build-version.inc as we disabled git versioning
+	cat <<- EOF > glslc/src/build-version.inc || die
+		"${P}\n"
+		"$(best_version dev-util/spirv-tools)\n"
+		"$(best_version dev-util/glslang)\n"
+	EOF
+
+	cmake_src_prepare
+}
+
+multilib_src_configure() {
+	lto-guarantee-fat
+	local mycmakeargs=(
+		-DSHADERC_SKIP_TESTS="true"
+		-DSHADERC_ENABLE_WERROR_COMPILE="false"
+	)
+	cmake_src_configure
+}
+
+multilib_src_compile() {
+	if multilib_is_native_abi && use doc; then
+		cmake_src_compile glslc_doc_README
+	fi
+	cmake_src_compile
+}
+
+multilib_src_install() {
+	if multilib_is_native_abi; then
+		use doc && local HTML_DOCS=( "${BUILD_DIR}/glslc/README.html" )
+	fi
+	cmake_src_install
+	strip-lto-bytecode
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.